:

print_level=1

#
# File name that t_echo prints to if it doesn't go to the screen
#
# echo_out="/dev/null"
echo_out="t_echo.res"

# 
# t_echo(output_level, output)
#
# Where output_level is one of these:
# 
#	0 = Actions done or problems found, not even error messages
#	1 = Error messages
#	2 = Pass/fail informational, chatty stuff
#	3 = debug
#
# It echos to stdout anything with an output level less than the 
# print level as well as appending to the $echo_out filename.  If greater 
# than the print level it simply appends output to the $echo_out file.
#

t_echo() {
 
level=$1
shift
 
if test $level -le $print_level ; then
	echo $*
	echo $* >> $echo_out
else
	echo $* >> $echo_out
	fi
}
 
