#!/bin/sh
#
# Just to make sure that gcc compilers work for stubs.c we check for gcc 
# version if available and then make appropriate changes to stubs.c and 
# Makefile.* as simply as possible.
#
# You could just edit stubs.c and add make the following changes:
#

GCCREV=`gcc -dumpversion`

case ${GCCREV} in
  2.9*|3.2*)
      echo "Moving in gcc-pre,v3.3 stubs code with "_" characters.. " 
	/bin/mv stubs.c stubs.org
	/bin/mv stubs-gccfix.c stubs.c

    ;;
  *)
      echo "Nothing to do,,, " 
  ;;
esac
	echo "Done.."

#
#
# Current:

# /* Straight from the Solaris FAQ */
#  
# #ifndef lint 
# static char sccsid[] = "@(#)stubs.c for runme bpowell-  Titan 4.0.10 03/24/01";
# #endif /* not lint */ 
# 
# char* dlopen() { return 0;}
# int  dlclose() { return 0;}
# char* dlsym() { return 0;}
# char* dgettext() { return "";}
# char* dlerror() { return "dynamic linking not loaded";}
# 
# 
# 
#
# Updated for gcc,v3.3+
#
# 
# /* Straight from the Solaris FAQ */
#  
# #ifndef lint 
# static char sccsid[] = "@(#)stubs.c for runme bpowell-  Titan 4.0.10 03/24/01";
# #endif /* not lint */ 
# 
# char* _dlopen() { return 0;}
# int  _dlclose() { return 0;}
# char* _dlsym() { return 0;}
# char* dgettext() { return "";}
# char* dlerror() { return "dynamic linking not loaded";}
#
