:
#
# version 3.0 Sep 25 11:21:02 PDT 1998

umask 022

# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000 
#
# The copyright holder disclaims all responsibility or liability with  
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE"  
# document which accompanies distribution. 
  
# Some of the ideas and code for the sunos 4.1.X version of titan was
# modified from code from a program secure_sun author David Safford

TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh
 
Intro() {

cat << EOF_INTRO

	  Check root's path for .
EOF_INTRO
}

#    check_path - check root's path for .
#


Check() {
t_echo 2 Checking root\'s path for "." ...
if grep -i -s "path[^\.]*\." /.login
then
	t_echo 0  "     "/.login" path contains "." FAILS CHECK"
else
	t_echo 2 "     "/.login" path does not contain a "." PASSES CHECK"

fi
if grep -i -s "path[^\.]*\." /.cshrc
then
	t_echo 0 "     "/.cshrc" path contains "." FAILS CHECK"
else
	t_echo 2 "     "/.cshrc" path does not contain a "." PASSES CHECK"
fi
if grep -i -s "path[^\.]*\." /.profile
then
	t_echo 0 "     "/.profile" path contains "." FAILS CHECK"
else
	t_echo 2 "     "/.profile" path does not contain a "." PASSES CHECK"
fi
}

Fix() {

if grep -s " path" /.login
then
ed - "/.login" <<- !
/ path/
s/\.//
w
q
!
elif grep -s "PATH" /.login
then
ed - "/.login" <<- !
/PATH/
s/\.//
w
q
!
fi

if grep -s " path" /.cshrc
then
ed - "/.cshrc" <<- !
/ path/
s/\.//
w
q
!
elif grep -s "PATH" /.cshrc
then
ed - "/.cshrc" <<- !
/PATH/
s/\.//
w
q
!
fi

if grep -s " path" /.profile
then
ed - "/.profile" <<- !
/ path/
s/\.//
w
q
!
elif grep -s "PATH" /.profile
then
ed - "/.profile" <<- !
/PATH/
s/\.//
w
q
!
fi

}

 
action=$1
case $action in
 -[Ff]*)
Fix
;;
 -[Vv]*)
Check
;;
 -[Ii]*)
Intro
;;
 
*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
;;
esac

