:
#
# version 3.0 Sep 25 11:21:02 PDT 1998

umask 022

# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with  
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE"  
# document which accompanies distribution. 
  
# Some of the ideas and code for the sunos 4.1.X version of titan was
# modified from code from a program secure_sun author David Safford

TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh
 
Intro() {

cat << EOF_INTRO

	Check for Disable tftp (nonserver)
EOF_INTRO
}

#
#       check_tftpd - check that tftpd disabled 
#

Check() {
t_echo 2
t_echo 2 Checking /etc/inetd.conf for tftpd running
	if grep -s "^tftp" /etc/inetd.conf
	then
		t_echo 0 "    Tftp service is running : FAILS CHECK"
	else
		t_echo 2 "    Tftp not present in /etc/inetd.conf: PASSES CHECK"
fi
}

Fix() {
if grep -s "^tftp" /etc/inetd.conf
	then
	ed - /etc/inetd.conf <<- !
	g/^tftp/s/tftp/#tftp/
	w
	q
	!
	t_echo 0 " tftp service now disabled" 
	else 
	t_echo 2 "Tftp services not present in /etc/inetd.conf: PASSES CHECK"
	fi

}

action=$1
case $action in
 -[Ff]*)
Fix
;;
 -[Vv]*)
Check
;;
 -[Ii]*)
Intro
;;
 
*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
 
        t_echo 1 " "
;;
esac

