:
#
# version 3.0 Sep 25 11:21:02 PDT 1998

umask 022

# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with  
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE"  
# document which accompanies distribution. 
  
TITANHOME=`pwd`
PATH=/usr/ucb:/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

. misc_functions.sh
 
Intro() {

cat << EOF_INTRO

This program checks   /etc/securetty to disable b -s problem

EOF_INTRO

}

#
#    check_boot - check single user boot forces password
#
t_echo 2

CheckBoot() {
t_echo 2  Checking for secure single user boot...

cd /dev
for name in `ls tty[0-9]*`; do
if fgrep "$name" /etc/securetty
then
	t_echo 0  "     securetty $name is secure: PASSES CHECK"

	else 
	t_echo 2 "      securetty $name not secure: FAILS CHECK"
fi
done

}


FixBoot() {

if [ -f /etc/securetty ] ; then
cd /dev
 for name in `ls tty[0-9]*`; do
  if fgrep "$name" /etc/securetty
   then
	t_echo 2 "      securetty $name set to secure: PASSES CHECK"
	else 
	t_echo 2 "      securetty $name insecure: FAILS CHECK"
        echo $name >>/etc/securetty
   fi
done
 else
 t_echo 1 "   "  "/etc/securetty" not found 
fi

}

action=$1
case $action in
 -[Ff]*)
FixBoot
CheckBoot
;;
 -[Vv]*)
CheckBoot
;;
 -[Ii]*)
Intro
;;
 
*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"

        t_echo 1 " "
;;
esac

